#pragma once

#include <string>

class TemperatureSensor {
  public:
    TemperatureSensor(const std::string& sensor_file) {
      _sensor_file = sensor_file;
    }

    double get_temperature() const;

  private:
    std::string _sensor_file;
};
